/* $Id: fflow.h,v 1.4 2002/03/05 09:55:18 aa5779 Exp $ */
#ifndef FFLOW_H
#define FFLOW_H

#include "flow.h"
#include "util.h"

#ifndef FFLOW_IMP
extern flow_class file_flow_class;
extern flow_class *default_flow_class;
#endif

typedef struct file_flow_data
{
	int writeable;
	int preload;
	union
	{
		FILE *hfile;
		mapping *inmap;
	} x;
	char *pos;
	int undone;
} file_flow_data;

flow_handle_t ff_open(char *name, char *opts, int writeable);
void ff_close(flow_handle_t fh);
int ff_getc(flow_handle_t fh);
int ff_ungetc(flow_handle_t fh, int ch);
int ff_putc(flow_handle_t fh, int ch);
int ff_puts(flow_handle_t fh, char *str);
flow_pos_t ff_getpos(flow_handle_t fh);
int ff_setpos(flow_handle_t fh, flow_pos_t fp);
int ff_rewind(flow_handle_t fh);
char *ff_flowctl(flow_handle_t fh, char *ctl);

#endif
